#!/usr/bin/python
# -*- coding: latin-1 -*-

""" Convertisseur de temprature - Deuxime version """

import sys

usage = """
%s <temprature> <sens>

Convertit <temprature> en fonction de <sens>:
	<sens> = 'C' : de Fahrenheit  Celsius
	<sens> = 'F' : de Celsius  Fahrenheit
""" % sys.argv[0]

# Comme on a une conversion linaire, on peut la reprsenter par
# t' = at + b
# avec a, b adapts au sens de la conversion:

a = {}
b = {}

a['F'] = 1.8
b['F'] = 32

a['C'] = 5.0/9
b['C'] =  -32*5.0/9

try:
	temp = float(sys.argv[1])
	sens = sys.argv[2]
	result = a[sens]*temp + b[sens]
except:
	print usage
	sys.exit(1)

print "Rsultat: %.2f" % result